import { Http,Util } from '@/utils';
import EntityService from '../entity-service';



/**
 * 自定义服务对象基类
 *
 * @export
 * @class IBIZCustomServiceBase
 * @extends {EntityServie}
 */
export default class IBIZCustomServiceBase extends EntityService {

    /**
     * Creates an instance of  IBIZCustomServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  IBIZCustomServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础数据
     *
     * @memberof IBIZCustomServiceBase
     */
    public initBasicData(){
        this.APPLYDEKEY ='ibizcustom';
        this.APPDEKEY = 'ibizcustomid';
        this.APPDENAME = 'ibizcustoms';
        this.APPDETEXT = 'ibizcustomname';
        this.APPNAME = 'demo';
        this.SYSTEMNAME = 'demosys';
    }

// 实体接口

    /**
     * Select接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof IBIZCustomServiceBase
     */
    public async Select(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
            let res:any = Http.getInstance().post(`/ibizcustoms/${context.ibizcustom}/select`,data,isloading);

            return res;
    }

    /**
     * FetchDefault接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof IBIZCustomServiceBase
     */
    public async FetchDefault(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
    }
}